Bug 1915460

Summary: Cluster name size might affect installations
Product: OpenShift Container Platform Reporter: Douglas Schilling Landgraf <dougsland>
Component: InstallerAssignee: Douglas Schilling Landgraf <dougsland>
Installer sub component: OpenShift on RHV QA Contact: michal <mgold>
Status: CLOSED ERRATA Docs Contact:
Severity: medium    
Priority: unspecified CC: mburman, mgold
Version: 4.6.z   
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:52:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Douglas Schilling Landgraf 2021-01-12 16:59:18 UTC
Version:

$ openshift-install version
4.6.z

Platform:
OpenShift on RHV 

Please specify:
* IPI 

What happened?
Installation might fail with long cluster names. We should add a validation to avoid users facing DNS resolution problems.

See also: 

Document Known Issues and Beef Up Validation
https://bugzilla.redhat.com/show_bug.cgi?id=1749816

Size of the hostname was preventing proper DNS resolution of the worker node names
https://bugzilla.redhat.com/show_bug.cgi?id=1915122

Comment 2 Douglas Schilling Landgraf 2021-01-20 21:53:13 UTC
The test I have used:

DEBUG       Generating SSH Key...                  
? SSH Public Key /home/douglas/.ssh/id_rsa.pub
DEBUG       Fetching Base Domain...                
DEBUG         Fetching Platform...                 
DEBUG         Generating Platform...               
? Platform ovirt
DEBUG searching for DataCenters with search filter: status=up 
DEBUG Datacenter:Default                           
DEBUG   cluster:Default                             
? Cluster Default
? Storage domain data
? Network ovirtmgmt
? Internal API virtual IP 192.168.1.80
? Ingress virtual IP 192.168.1.81
DEBUG       Generating Base Domain...              
? Base Domain medogz.ocp4
DEBUG       Fetching Cluster Name...               
DEBUG         Fetching Base Domain...              
DEBUG         Reusing previously-fetched Base Domain 
DEBUG         Fetching Platform...                 
DEBUG         Reusing previously-fetched Platform  
DEBUG       Generating Cluster Name...              [mysuperclusterlongnameshouldbreak]
X Sorry, your reply was invalid: must be no more than 14 characters

^^ here

Comment 3 michal 2021-02-06 19:17:48 UTC
version:
rhv - 4.4.4.7
ocp - 4.7.0-0.nightly-2021-01-31-023653
 
step:
install openshift with long cluster name 

actual:
installation fails with an error that the name should be no more than 14 characters

Comment 6 errata-xmlrpc 2021-02-24 15:52:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633